본문으로 건너뛰기

condenser_api.get_order_book ​

Purpose ​

내부 마켓의 호가창 (order book)을 반환합니다. 파라미터: limit:int 최대 500

limit (int)
10호가창에서 최대 10개 항목을 조회합니다.
500호가창에서 최대 500개 항목을 조회합니다.

함께 보기: database_api.get_order_book, market_history_api.get_order_book

Parameters ​

PARAMETERS
json
[
  0
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_order_book",
    "params": [
      10
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_order_book",
    "params": [
      50
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "bids": [],
  "asks": []
}